WordPress.org

Make WordPress Core

Ticket #47651: 47651.diff

File 47651.diff, 912 bytes (added by garrett-eclipse, 4 months ago)

Initial patch to provide the required PHP version

  • src/wp-admin/update-core.php

     
    316316                $compatible_php = is_php_version_compatible( $requires_php );
    317317
    318318                if ( ! $compatible_php && current_user_can( 'update_php' ) ) {
    319                         $compat .= '<br>' . __( 'This update doesn&#8217;t work with your version of PHP.' ) . '&nbsp;';
    320                         /* translators: %s: Update PHP page URL */
     319                        $compat .= '<br>' . sprintf(
     320                                /* translators: %s: The required PHP version */
     321                                __( 'This update doesn&#8217;t work with your version of PHP. It requires a minimum of PHP %s.' ),
     322                                $requires_php
     323                        ) . '&nbsp;';
    321324                        $compat .= sprintf(
     325                                /* translators: %s: Update PHP page URL */
    322326                                __( '<a href="%s">Learn more about updating PHP</a>.' ),
    323327                                esc_url( wp_get_update_php_url() )
    324328                        );